TMC Events Plugin for Telegraf execd input
---

This plugin will connect to the [TMC stream api](https://code.vmware.com/apis/1079/tanzu-mission-control#/Events/Manage_V1alpha1_Events_Stream) and gather all events. this is also customizeable per the api docs and you can pass in specific events to watch. 

## Usage

- Download the [latest release package][releases] for your platform.

- Unpack the build to your system:
  ```sh
  mkdir /var/lib/telegraf
  chown telegraf:telegraf /var/lib/telegraf
  tar xf tmcevents-linux-amd64.tar.gz -C /var/lib/telegraf
  ```

- Edit execd plugin configuration as needed:
  ```sh
  vi /var/lib/telegraf/tmcevents-linux-amd64/tmcevents.conf
  ```

- Add to `/etc/telegraf/telegraf.conf` or into file in `/etc/telegraf/telegraf.d`
  ```toml
  [[inputs.execd]]
    command = ["/var/lib/telegraf/tmcevents-linux-amd64/tmcevents --config /var/lib/telegraf/tmcevents-linux-amd64/tmcevents.conf"]
    signal = "STDIN"
  ```

- Restart or reload Telegraf.

## Development

Packages are generated by a GitHub action whenever a new tag is pushed to the repository.
```sh
git tag v0.0.10
git push origin v0.0.10
```


[releases]: https://github.com/warroyo/tmc-telegraf-input/releases/latest
[execd]: https://github.com/influxdata/telegraf/tree/master/plugins/inputs/execd